%define	libname		PyOpenGL
%define	name		python-opengl
%define	version		2.0.1.09
%define	release		%mkrel 7

Summary:	Python bindings for OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Libraries
URL:		http://pyopengl.sourceforge.net/
Source:		%{libname}-%{version}.tar.bz2
BuildRequires:	python-devel, mesaglut-devel
BuildRequires:	tcl tcl-devel tk tk-devel
BuildRequires:  xorg-x11-Xvfb xorg-x11-xauth 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Python bindings for OpenGL

%package doc
Summary: Documentation files for %{name}
Group: Development/Python

%description doc
Documentation files for %{name}

%prep
%setup -n %{libname}-%{version} -q
perl -pi -e 's|/lib|/%_lib|g' ./config/linux.cfg  

%build
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
xauth add $DISPLAY . EE

python setup.py build

kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf %{buildroot}
mv OpenGL/doc/ .
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
xauth add $DISPLAY . EE

python setup.py install --prefix=%{buildroot}/%{_prefix}

kill $(cat /tmp/.X$XDISPLAY-lock)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/python%{pyver}/site-packages/*OpenGL*


%files doc
%defattr(-,root,root)
%doc doc/*


%changelog
* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.0.1.09-7mdv2007.0
+ Revision: 91905
- fix buildrequires
- bot rebuild
- Import python-opengl



* Wed Dec  6 2006 Götz Waschk <waschk@mandriva.org> 2.0.1.09-6mdv2007.1
- update file list

* Sun Jul 02 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.1.09-5mdv2007.0
- %%mkrel
- fix deps

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1.09-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat May 14 2005 Michael Scherer <misc@mandriva.org> 2.0.1.09-3mdk
- fix buildrequires to please mr lurt
- fix build on amd64 to please miss deborah

* Fri May 13 2005 Michael Scherer <misc@mandriva.org> 2.0.1.09-2mdk
- from Tigrux <tigrux@ximian.com>
  - Do not require python = %pyver

* Tue Dec 07 2004 Michael Scherer <misc@mandrake.org> 2.0.1.09-1mdk
- allows build without X
- from Tigrux <tigrux@ximian.com> 2.0.1.09-1
  - First rpm for Mandrake
